Bug 117170 - If open *.doc or *.docx documents and string on center or justify align then text cursor don't move with space on end string.
Summary: If open *.doc or *.docx documents and string on center or justify align then ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-23 04:52 UTC by morphey008
Modified: 2019-06-22 02:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
text cursor don't move with space (135.58 KB, image/jpeg)
2018-04-23 04:54 UTC, morphey008
Details

Note You need to log in before you can comment on or make changes to this bug.
Description morphey008 2018-04-23 04:52:21 UTC
Description:
If open *.doc or *.docx documents and string on center or justify align then text cursor visual don't move with space on end string.

Steps to Reproduce:
1. Open *.doc or *.docx documents.
2. Move text cursor on end string with align center or justify.
3. Press space one or more.

Actual Results:  
Text cursor don't move with space on end string.

Expected Results:
Text cursor move with space on end string.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 morphey008 2018-04-23 04:54:35 UTC
Created attachment 141552 [details]
text cursor don't move with space
Comment 2 Mike Kaganski 2018-04-23 06:13:23 UTC
The visual problem here is that it's not visible where in the trailing spaces cursor is at the moment (it stays as if it's "in front of" the spaces, when actually it's in the middle or at the end); it's impossible to put cursor to a specific place inside this trailing space string using mouse; and the Paragraph mark is displaced visually.

The feature to handle trailing spaces in Word-compatible way was introduced in bug 104668.
Comment 3 Buovjaga 2018-04-23 13:25:17 UTC
Removing keywords per Mike's comment on IRC
Comment 4 Mike Kaganski 2018-06-21 09:29:44 UTC
morphey008: When changing field values, please take a second to read the comment (in parentheses) in the field's label.
Comment 5 QA Administrators 2019-06-22 02:50:15 UTC
Dear morphey008,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug